%--------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%--------------------------------------------------------------------------
input_formula(formula_18,axiom,(
    ! [X1,X3,X2,X4] : 
      ( ( equal(X1, X3)
        & p6(X2, X1, X4) )
     => p6(X2, X3, X4) )   )).

input_formula(formula_7,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1, X2)
        & p2(X1, X3, X4) )
     => p2(X2, X3, X4) )   )).

input_formula(formula_22,axiom,(
    ! [X1,X4,X2,X3] : 
      ( ( equal(X1, X4)
        & p7(X2, X3, X1) )
     => p7(X2, X3, X4) )   )).

input_formula(formula_19,axiom,(
    ! [X1,X4,X2,X3] : 
      ( ( equal(X1, X4)
        & p6(X2, X3, X1) )
     => p6(X2, X3, X4) )   )).

input_formula(formula_17,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1, X2)
        & p6(X1, X3, X4) )
     => p6(X2, X3, X4) )   )).

input_formula(formula_21,axiom,(
    ! [X1,X3,X2,X4] : 
      ( ( equal(X1, X3)
        & p7(X2, X1, X4) )
     => p7(X2, X3, X4) )   )).

input_formula(formula_3,axiom,(
    ! [X2,X1,X3] : 
      ( ( equal(X2, X1)
        & equal(X1, X3) )
     => equal(X2, X3) )   )).

input_formula(formula_15,axiom,(
    ! [X1,X3,X2,X4] : 
      ( ( equal(X1, X3)
        & p5(X2, X1, X4) )
     => p5(X2, X3, X4) )   )).

input_formula(formula_24,axiom,(
    ! [X1,X3,X2,X4] : 
      ( ( equal(X1, X3)
        & p8(X2, X1, X4) )
     => p8(X2, X3, X4) )   )).

input_formula(formula_28,axiom,(
    ! [X2,X1,X3] : 
      ( ( p3(X2, X1)
        & p3(X1, X3) )
     => p3(X2, X3) )   )).

input_formula(formula_11,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1, X3)
        & p3(X2, X1) )
     => p3(X2, X3) )   )).

input_formula(formula_20,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1, X2)
        & p7(X1, X3, X4) )
     => p7(X2, X3, X4) )   )).

input_formula(formula_25,axiom,(
    ! [X1,X4,X2,X3] : 
      ( ( equal(X1, X4)
        & p8(X2, X3, X1) )
     => p8(X2, X3, X4) )   )).

input_formula(formula_26,axiom,(
    ! [X1,X2] : 
      ~ ( p3(X1, X2)
        & equal(X1, X2) )   )).

input_formula(formula_34,hypothesis,(
    ! [X3,X4,X2,X1,X7,X6,X5,X9,X8] : 
      ( ( p4(X3, X5)
        & p4(X4, X5)
        & p4(X4, X8)
        & p1(X3, X1, X5)
        & p1(X4, X1, X5)
        & p5(X3, X5, X9)
        & p5(X4, X5, X8)
        & p7(X3, X2, X5)
        & p7(X4, X2, X5)
        & p2(X3, X7, X5)
        & p2(X4, X6, X5)
        & p3(X6, X7) )
     => p3(X8, X9) )   )).

input_formula(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1, X2)
        & p4(X1, X3) )
     => p4(X2, X3) )   )).

input_formula(formula_5,axiom,(
    ! [X1,X3,X2,X4] : 
      ( ( equal(X1, X3)
        & p1(X2, X1, X4) )
     => p1(X2, X3, X4) )   )).

input_formula(formula_30,axiom,(
    ! [X3,X4,X1,X2] : 
      ( ( p4(X3, X1)
        & p4(X3, X2)
        & p3(X4, X1)
        & p3(X2, X4) )
     => p4(X3, X4) )   )).

input_formula(formula_27,axiom,(
    ! [X2,X1] : 
      ~ ( p3(X2, X1)
        & p3(X1, X2) )   )).

input_formula(formula_31,axiom,(
    ! [X1,X3,X2] : 
      ( p5(X1, X3, X2)
     => p3(X2, X3) )   )).

input_formula(formula_10,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1, X2)
        & p3(X1, X3) )
     => p3(X2, X3) )   )).

input_formula(formula_35,hypothesis,(
    ! [X6,X7,X4,X1,X2,X11,X12,X10,X9,X8,X5,X3] : 
      ( ( p4(X6, X8)
        & p4(X7, X8)
        & p4(X6, X5)
        & p4(X7, X5)
        & p1(X6, X1, X8)
        & p1(X7, X1, X8)
        & p8(X6, X2, X8)
        & p8(X7, X2, X8)
        & p5(X6, X8, X5)
        & p5(X7, X8, X3)
        & p7(X6, X4, X8)
        & p7(X7, X4, X8)
        & p8(X6, X11, X5)
        & p8(X7, X12, X5)
        & p2(X6, X10, X8)
        & p2(X7, X9, X8)
        & p3(X9, X10) )
     => ( p3(X11, X12)
        | equal(X11, X12) ) )   )).

input_formula(formula_23,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1, X2)
        & p8(X1, X3, X4) )
     => p8(X2, X3, X4) )   )).

input_formula(formula_29,axiom,(
    ! [X1,X3] : 
      ( p4(X1, X3)
     => ? [X2] : p8(X1, X2, X3) )   )).

input_formula(formula_6,axiom,(
    ! [X1,X4,X2,X3] : 
      ( ( equal(X1, X4)
        & p1(X2, X3, X1) )
     => p1(X2, X3, X4) )   )).

input_formula(formula_14,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1, X2)
        & p5(X1, X3, X4) )
     => p5(X2, X3, X4) )   )).

input_formula(formula_36,conjecture,(
    ! [X6,X7,X3,X1,X2,X11,X12,X10,X9,X8,X4,X5] : 
      ( ( p4(X6, X8)
        & p4(X7, X8)
        & p4(X6, X5)
        & p4(X7, X5)
        & p1(X6, X1, X8)
        & p1(X7, X1, X8)
        & p8(X6, X2, X8)
        & p8(X7, X2, X8)
        & p5(X6, X8, X4)
        & p5(X7, X8, X5)
        & p7(X6, X3, X8)
        & p7(X7, X3, X8)
        & p6(X6, X4, X5)
        & p8(X6, X11, X5)
        & p8(X7, X12, X5)
        & p2(X6, X10, X8)
        & p2(X7, X9, X8)
        & p3(X9, X10) )
     => p3(X11, X12) )   )).

input_formula(formula_16,axiom,(
    ! [X1,X4,X2,X3] : 
      ( ( equal(X1, X4)
        & p5(X2, X3, X1) )
     => p5(X2, X3, X4) )   )).

input_formula(formula_9,axiom,(
    ! [X1,X4,X2,X3] : 
      ( ( equal(X1, X4)
        & p2(X2, X3, X1) )
     => p2(X2, X3, X4) )   )).

input_formula(formula_4,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1, X2)
        & p1(X1, X3, X4) )
     => p1(X2, X3, X4) )   )).

input_formula(formula_1,axiom,(
    ! [X1] : equal(X1, X1)   )).

input_formula(formula_8,axiom,(
    ! [X1,X3,X2,X4] : 
      ( ( equal(X1, X3)
        & p2(X2, X1, X4) )
     => p2(X2, X3, X4) )   )).

input_formula(formula_33,hypothesis,(
    ! [X1,X6,X7,X3,X4,X2,X5] : 
      ( ( p4(X1, X3)
        & p4(X1, X4)
        & p5(X1, X2, X5)
        & p8(X1, X6, X3)
        & p8(X1, X7, X4)
        & ~ p3(X2, X3)
        & p3(X4, X3)
        & ~ p3(X4, X5) )
     => p3(X6, X7) )   )).

input_formula(formula_32,hypothesis,(
    ! [X1,X5,X4,X3,X2] : 
      ( ( p4(X1, X3)
        & p4(X1, X2)
        & p6(X1, X3, X2)
        & p8(X1, X5, X3)
        & p8(X1, X4, X2)
        & p3(X2, X3) )
     => p3(X4, X5) )   )).

input_formula(formula_13,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1, X3)
        & p4(X2, X1) )
     => p4(X2, X3) )   )).

input_formula(formula_2,axiom,(
    ! [X2,X1] : 
      ( equal(X2, X1)
     => equal(X1, X2) )   )).
%--------------------------------------------------------------------------
