%--------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%--------------------------------------------------------------------------
input_formula(formula_5,axiom,(
    ! [X1,X2] : p2(f4(X1, X2), c3)   )).

input_formula(formula_2,axiom,(
    ! [X1] : p1(X1, c3)   )).

input_formula(formula_3,axiom,(
    ! [X2,X1] : 
      ( equal(X2, X1)
    <=> ( p1(X2, X1)
        & p1(X1, X2) ) )   )).

input_formula(formula_18,axiom,(
    ! [X1] : p1(f16(X1), f7(f7(c3, c3), c3))   )).

input_formula(formula_38,axiom,(
    ! [X1,X3] : 
      ( p30(X1, X3)
    <=> ! [X2] : 
          ~ ( p2(X2, X1)
            & p2(X2, X3) ) )   )).

input_formula(formula_41,axiom,(
    ? [X1] : 
      ( p28(X1)
      & ! [X2] : 
          ( p2(X2, c3)
         => ( equal(X2, c14)
            | p2(f31(X1, X2), X2) ) ) )   )).

input_formula(formula_11,axiom,(
    p1(c10, f7(c3, c3))   )).

input_formula(formula_40,axiom,(
    ! [X1,X2] : equal(f31(X1, X2), f25(f23(X1, f5(X2))))   )).

input_formula(formula_26,axiom,(
    ! [X1] : equal(f22(X1), f15(f21(X1)))   )).

input_formula(formula_10,axiom,(
    ! [X1,X2] : 
      ( p2(f6(X1, X2), c10)
    <=> ( p2(X2, c3)
        & p2(X1, X2) ) )   )).

input_formula(formula_42,conjecture,(
    ! [X1] : 
      ( p2(X1, c3)
     => ~ equal(f5(X1), c14) )   )).

input_formula(formula_39,axiom,(
    ! [X2] : 
      ( ~ equal(X2, c14)
     => ? [X1] : 
          ( p2(X1, c3)
          & p2(X1, X2)
          & p30(X1, X2) ) )   )).

input_formula(formula_28,axiom,(
    ! [X1] : 
      ( p24(X1)
    <=> ( p2(c14, X1)
        & p1(f23(c20, X1), X1) ) )   )).

input_formula(formula_37,axiom,(
    ! [X2,X1] : 
      ( ( p2(X2, c3)
        & p28(X1) )
     => p2(f23(X1, X2), c3) )   )).

input_formula(formula_36,axiom,(
    ! [X1] : 
      ( p28(X1)
    <=> ( p1(X1, f7(c3, c3))
        & p1(f27(X1, f21(X1)), c29) ) )   )).

input_formula(formula_32,axiom,(
    ! [X1,X2] : 
      ( p2(X1, f26(X2))
    <=> ( p2(X1, c3)
        & p1(X1, X2) ) )   )).

input_formula(formula_8,axiom,(
    ! [X1,X3,X2,X4] : 
      ( p2(f6(X1, X3), f7(X2, X4))
    <=> ( p2(X1, X2)
        & p2(X3, X4) ) )   )).

input_formula(formula_20,axiom,(
    ! [X1] : p1(f17(X1), f7(f7(c3, c3), c3))   )).

input_formula(formula_7,axiom,(
    ! [X1,X2] : equal(f6(X1, X2), f4(f5(X1), f4(X1, f5(X2))))   )).

input_formula(formula_30,axiom,(
    ! [X1,X3] : 
      ( p2(X1, f25(X3))
    <=> ? [X2] : 
          ( p2(X1, X2)
          & p2(X2, X3) ) )   )).

input_formula(formula_29,axiom,(
    ? [X1] : 
      ( p2(X1, c3)
      & p24(X1)
      & ! [X2] : 
          ( p24(X2)
         => p1(X1, X2) ) )   )).

input_formula(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( p2(X3, f7(X1, X2))
     => equal(X3, f6(f8(X3), f9(X3))) )   )).

input_formula(formula_12,axiom,(
    ! [X1,X3,X2] : 
      ( p2(X2, f11(X1, X3))
    <=> ( p2(X2, X1)
        & p2(X2, X3) ) )   )).

input_formula(formula_13,axiom,(
    ! [X2,X1] : 
      ( p2(X1, f12(X2))
    <=> ( p2(X1, c3)
        & ~ p2(X1, X2) ) )   )).

input_formula(formula_31,axiom,(
    ! [X1] : 
      ( p2(X1, c3)
     => p2(f25(X1), c3) )   )).

input_formula(formula_17,axiom,(
    ! [X4,X3,X1,X2] : 
      ( p2(f6(f6(X3, X1), X2), f16(X4))
    <=> ( p2(f6(f6(X3, X1), X2), f7(f7(c3, c3), c3))
        & p2(f6(f6(X1, X2), X3), X4) ) )   )).

input_formula(formula_19,axiom,(
    ! [X2,X1,X3,X4] : 
      ( p2(f6(f6(X2, X1), X3), f17(X4))
    <=> ( p2(f6(f6(X2, X1), X3), f7(f7(c3, c3), c3))
        & p2(f6(f6(X1, X2), X3), X4) ) )   )).

input_formula(formula_15,axiom,(
    ! [X1] : ~ p2(X1, c14)   )).

input_formula(formula_27,axiom,(
    ! [X2,X1] : equal(f23(X1, X2), f22(f13(X1, X2, c3)))   )).

input_formula(formula_34,axiom,(
    ! [X2,X1] : p1(f27(X1, X2), f7(c3, c3))   )).

input_formula(formula_35,axiom,(
    ! [X1,X3,X4,X2] : 
      ( p2(f6(X4, X2), f27(X3, X1))
    <=> ( p2(X4, c3)
        & p2(X2, f23(X3, f23(X3, f5(X4)))) ) )   )).

input_formula(formula_14,axiom,(
    ! [X2,X1,X3] : equal(f13(X1, X2, X3), f11(X1, f7(X2, X3)))   )).

input_formula(formula_6,axiom,(
    ! [X1] : equal(f5(X1), f4(X1, X1))   )).

input_formula(formula_33,axiom,(
    ! [X1] : 
      ( p2(X1, c3)
     => p2(f26(X1), c3) )   )).

input_formula(formula_23,axiom,(
    p1(c20, f7(c3, c3))   )).

input_formula(formula_16,axiom,(
    ! [X1,X2] : 
      ( p2(X2, f15(X1))
    <=> ( p2(X2, c3)
        & ~ equal(f13(X1, f5(X2), c3), c14) ) )   )).

input_formula(formula_1,axiom,(
    ! [X1,X3] : 
      ( p1(X1, X3)
    <=> ! [X2] : 
          ( p2(X2, X1)
         => p2(X2, X3) ) )   )).

input_formula(formula_22,axiom,(
    ! [X1] : equal(f19(X1), f18(X1, f5(X1)))   )).

input_formula(formula_21,axiom,(
    ! [X1,X3,X2] : 
      ( p2(X2, f18(X1, X3))
    <=> ( p2(X2, X1)
        | p2(X2, X3) ) )   )).

input_formula(formula_25,axiom,(
    ! [X1] : equal(f21(X1), f15(f17(f7(X1, c3))))   )).

input_formula(formula_4,axiom,(
    ! [X2,X1,X3] : 
      ( p2(X2, f4(X1, X3))
    <=> ( p2(X2, c3)
        & ( equal(X2, X1)
          | equal(X2, X3) ) ) )   )).

input_formula(formula_24,axiom,(
    ! [X1,X2] : 
      ( p2(f6(X1, X2), c20)
    <=> ( p2(X1, c3)
        & p2(X2, c3)
        & equal(f19(X1), X2) ) )   )).
%--------------------------------------------------------------------------
