%--------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%--------------------------------------------------------------------------
input_formula(formula_20,axiom,(
    ! [X1,X4,X2,X3,X5] : 
      ( ( equal(X1, X4)
        & p10(X2, X3, X1, X5) )
     => p10(X2, X3, X4, X5) )   )).

input_formula(formula_15,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1, X3)
        & p8(X2, X1) )
     => p8(X2, X3) )   )).

input_formula(formula_14,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1, X2)
        & p8(X1, X3) )
     => p8(X2, X3) )   )).

input_formula(formula_10,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1, X2)
        & p5(X1) )
     => p5(X2) )   )).

input_formula(formula_29,axiom,(
    ! [X1,X2] : 
      ( p8(X1, X2)
     => ( p7(X1, X2)
        | equal(X1, X2) ) )   )).

input_formula(formula_1,axiom,(
    ! [X1] : equal(X1, X1)   )).

input_formula(formula_19,axiom,(
    ! [X1,X3,X2,X4,X5] : 
      ( ( equal(X1, X3)
        & p10(X2, X1, X4, X5) )
     => p10(X2, X3, X4, X5) )   )).

input_formula(formula_18,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( equal(X1, X2)
        & p10(X1, X3, X4, X5) )
     => p10(X2, X3, X4, X5) )   )).

input_formula(formula_17,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1, X3)
        & p9(X2, X1) )
     => p9(X2, X3) )   )).

input_formula(formula_16,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1, X2)
        & p9(X1, X3) )
     => p9(X2, X3) )   )).

input_formula(formula_22,axiom,(
    ! [X1,X2] : 
      ( ( p6(X1)
        & p10(c11, c12, X1, X2) )
     => ~ p5(f1(f2(c11, X2), f2(c12, X2))) )   )).

input_formula(formula_2,axiom,(
    ! [X2,X1] : 
      ( equal(X2, X1)
     => equal(X1, X2) )   )).

input_formula(formula_32,conjecture,(
    ! [X1,X2] : 
      ( ( p6(X1)
        & p10(c11, c12, X1, X2) )
     => p7(f2(c11, X2), f2(c12, X2)) )   )).

input_formula(formula_26,axiom,(
    ! [X1] : 
      ( p6(X1)
     => p8(f3(X1), f4(X1)) )   )).

input_formula(formula_25,axiom,(
    ! [X1,X2] : 
      ( ( p6(X1)
        & p10(c11, c12, X1, X2) )
     => p9(X1, X2) )   )).

input_formula(formula_9,axiom,(
    ! [X1,X2] : 
      ( equal(X1, X2)
     => equal(f4(X1), f4(X2)) )   )).

input_formula(formula_24,axiom,(
    ! [X1,X3,X2,X4] : 
      ( ( p6(X1)
        & p8(X3, X2)
        & p8(X4, X3)
        & p10(c11, c12, X1, X4)
        & p7(f2(c11, X2), f2(c12, X2)) )
     => ( ~ p5(f1(f2(c11, X3), f2(c12, X3)))
       => p7(f2(c11, X4), f2(c12, X4)) ) )   )).

input_formula(formula_3,axiom,(
    ! [X2,X1,X3] : 
      ( ( equal(X2, X1)
        & equal(X1, X3) )
     => equal(X2, X3) )   )).

input_formula(formula_23,axiom,(
    ! [X2,X1] : 
      ( p6(X2)
     => ( ( p9(X2, f3(X2))
         => p10(c11, c12, X2, f3(X2)) )
        & ( p10(c11, c12, X2, X1)
         => p8(X1, f3(X2)) ) ) )   )).

input_formula(formula_7,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1, X3)
     => equal(f2(X2, X1), f2(X2, X3)) )   )).

input_formula(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1, X2)
     => equal(f1(X1, X3), f1(X2, X3)) )   )).

input_formula(formula_30,hypothesis,(
    ! [X1] : 
      ( p6(X1)
     => p7(f2(c11, f3(X1)), f2(c12, f3(X1))) )   )).

input_formula(formula_13,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1, X3)
        & p7(X2, X1) )
     => p7(X2, X3) )   )).

input_formula(formula_5,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1, X3)
     => equal(f1(X2, X1), f1(X2, X3)) )   )).

input_formula(formula_8,axiom,(
    ! [X1,X2] : 
      ( equal(X1, X2)
     => equal(f3(X1), f3(X2)) )   )).

input_formula(formula_6,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1, X2)
     => equal(f2(X1, X3), f2(X2, X3)) )   )).

input_formula(formula_28,axiom,(
    ! [X2,X1,X3] : 
      ( ( p7(X2, X1)
        & p7(X1, X3) )
     => p7(X2, X3) )   )).

input_formula(formula_27,axiom,(
    ! [X2,X3,X1] : 
      ( ( p6(X2)
        & p8(X3, f4(X2))
        & p7(X1, X3)
        & p9(X2, X1) )
     => p9(X2, X3) )   )).

input_formula(formula_31,hypothesis,(
    ! [X3,X1,X2,X4] : 
      ( ( p6(X3)
        & p10(c11, c12, X3, X1)
        & p10(c11, c12, X3, X2)
        & p8(X4, X1)
        & p8(X2, X4) )
     => p10(c11, c12, X3, X4) )   )).

input_formula(formula_11,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1, X2)
        & p6(X1) )
     => p6(X2) )   )).

input_formula(formula_12,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1, X2)
        & p7(X1, X3) )
     => p7(X2, X3) )   )).

input_formula(formula_21,axiom,(
    ! [X1,X5,X2,X3,X4] : 
      ( ( equal(X1, X5)
        & p10(X2, X3, X4, X1) )
     => p10(X2, X3, X4, X5) )   )).
%--------------------------------------------------------------------------
