%--------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%--------------------------------------------------------------------------
input_formula(formula_47,axiom,(
    ! [X4,X5,X2] : 
      ( ( p8(X2)
        & ~ equal(X4, X5)
        & p2(X4, X2)
        & p2(X5, X2) )
     => ? [X3] : 
          ( ! [X1] : 
              ( p13(X1, X3)
            <=> p2(X1, X2) )
          & p11(X3, X4, X5) ) )   )).

input_formula(formula_16,axiom,(
    ! [X1,X2] : 
      ( p4(X2, X1)
     => ? [X3] : 
          ( p4(X3, X1)
          & ~ equal(X2, X3) ) )   )).

input_formula(formula_15,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( p4(X2, X1)
        & p4(X3, X1)
        & p4(X4, X1) )
     => ( equal(X2, X3)
        | equal(X2, X4)
        | equal(X3, X4) ) )   )).

input_formula(formula_5,axiom,(
    ! [X1,X2,X4] : 
      ( equal(X1, f3(X2, X4))
    <=> ! [X3] : 
          ( p2(X3, X1)
        <=> ( p2(X3, X2)
            | p2(X3, X4) ) ) )   )).

input_formula(formula_17,axiom,(
    ! [X2,X4,X5,X1] : 
      ( ( p7(X2)
        & p6(X1, X4, X5)
        & equal(X2, f3(X4, X5)) )
     => ! [X3] : 
          ( p4(X3, X4)
         => p6(X3, X4, X5) ) )   )).

input_formula(formula_7,axiom,(
    ! [X1,X2] : 
      ( p5(X1, X2)
    <=> ( p2(X1, X2)
        & ~ p4(X1, X2) ) )   )).

input_formula(formula_45,axiom,(
    ! [X3,X4,X5,X1] : 
      ( p10(X1, X3, X4, X5)
    <=> ? [X2] : 
          ( ! [X3] : 
              ( p13(X3, X1)
            <=> p2(X3, X2) )
          & p9(X2, X3, X4, X5) ) )   )).

input_formula(formula_10,axiom,(
    ! [X2] : 
      ( p8(X2)
    <=> ? [X1] : p4(X1, X2) )   )).

input_formula(formula_44,axiom,(
    ! [X1] : 
    ? [X3] : 
      ( p8(X3)
      & ! [X2] : 
          ( p13(X2, X1)
        <=> p2(X2, X3) ) )   )).

input_formula(formula_64,conjecture,(
    ! [X1,X3] : 
      ( p13(X3, X1)
    <=> ? [X2] : 
          ( p11(X1, X3, X2)
          | p11(X1, X2, X3) ) )   )).

input_formula(formula_42,axiom,(
    ! [X3,X1] : 
      ( p14(X3, X1)
    <=> ( p13(X3, X1)
        & ! [X2] : 
            ( ( ~ equal(X3, X2)
              & p13(X2, X1) )
           => p11(X1, X2, X3) ) ) )   )).

input_formula(formula_9,axiom,(
    ! [X2] : 
      ( p7(X2)
    <=> ~ ( ? [X1] : p4(X1, X2) ) )   )).

input_formula(formula_6,axiom,(
    ! [X2,X1] : 
      ( p4(X2, X1)
    <=> ( p2(X2, X1)
        & ! [X4,X3] : 
            ( ( p1(X4, X1)
              & p1(X3, X1)
              & p2(X2, X4)
              & p2(X2, X3) )
           => ( p1(X4, X3)
              | p1(X3, X4) ) ) ) )   )).

input_formula(formula_19,axiom,(
    ! [X2,X3] : 
      ( ! [X1] : 
          ( p2(X1, X2)
        <=> p2(X1, X3) )
     => equal(X2, X3) )   )).

input_formula(formula_41,axiom,(
    ! [X2,X1] : 
      ( p12(X2, X1)
    <=> ( p13(X2, X1)
        & ! [X3] : 
            ( ( ~ equal(X2, X3)
              & p13(X3, X1) )
           => p11(X1, X2, X3) ) ) )   )).

input_formula(formula_49,axiom,(
    ! [X3,X1] : 
      ( equal(X3, f15(X1))
    <=> ! [X2] : 
          ( p13(X2, X1)
        <=> p2(X2, X3) ) )   )).

input_formula(formula_12,axiom,(
    ! [X1,X5,X3,X4] : 
      ( ( p1(X5, X1)
        & p1(X3, X1)
        & p1(X4, X1)
        & ? [X2] : 
            ( p4(X2, X5)
            & p4(X2, X3)
            & p4(X2, X4) ) )
     => ( p1(X3, X4)
        | p1(X4, X3)
        | p1(X5, X3)
        | p1(X3, X5)
        | p1(X5, X4)
        | p1(X4, X5) ) )   )).

input_formula(formula_48,axiom,(
    ! [X3,X4] : 
      ( ! [X1,X2] : 
          ( p11(X3, X1, X2)
        <=> p11(X4, X1, X2) )
     => equal(X3, X4) )   )).

input_formula(formula_8,axiom,(
    ! [X1,X2,X4] : 
      ( p6(X1, X2, X4)
    <=> ( p2(X1, X2)
        & p2(X1, X4)
        & ! [X3] : 
            ( ( p2(X3, X2)
              & p2(X3, X4) )
           => ( p4(X3, X2)
              & p4(X3, X4) ) ) ) )   )).

input_formula(formula_13,axiom,(
    ! [X2] : 
    ? [X1] : p5(X1, X2)   )).

input_formula(formula_35,axiom,(
    ! [X1,X2,X4,X3] : 
      ( p9(X1, X2, X4, X3)
    <=> ( ~ equal(X2, X3)
        & ? [X5] : 
            ( p1(X5, X1)
            & p4(X2, X5)
            & p4(X3, X5)
            & p5(X4, X5) ) ) )   )).

input_formula(formula_18,axiom,(
    ! [X3,X4] : 
      ( ? [X1] : p6(X1, X3, X4)
     => ? [X2] : equal(X2, f3(X3, X4)) )   )).

input_formula(formula_11,axiom,(
    ! [X1,X2] : 
      ( ( p1(X2, X1)
        & ~ equal(X2, X1) )
     => p8(X2) )   )).

input_formula(formula_43,axiom,(
    ! [X3,X1,X2] : 
      ( p11(X3, X1, X2)
     => ( p13(X1, X3)
        & p13(X2, X3) ) )   )).

input_formula(formula_40,axiom,(
    ! [X2,X4,X3,X1] : 
      ( p10(X2, X4, X3, X1)
    <=> ( ( p11(X2, X4, X3)
          & p11(X2, X3, X1) )
        | ( p11(X2, X1, X3)
          & p11(X2, X3, X4) ) ) )   )).

input_formula(formula_46,axiom,(
    ! [X2] : 
    ? [X1] : p12(X1, X2)   )).

input_formula(formula_4,axiom,(
    ! [X3,X1] : 
      ( p1(X1, X3)
    <=> ! [X2] : 
          ( p2(X2, X1)
         => p2(X2, X3) ) )   )).

input_formula(formula_14,axiom,(
    ! [X2,X1] : 
      ( p5(X1, X2)
     => ? [X3,X4] : 
          ( p6(X1, X3, X4)
          & equal(X2, f3(X3, X4)) ) )   )).
%--------------------------------------------------------------------------
