%--------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%--------------------------------------------------------------------------
input_formula(formula_13,axiom,(
    ! [X2,X1] : 
      ( p3(X2, f11(X1))
    <=> ? [X3] : 
          ( p3(X3, X1)
          & p3(X2, X3) ) )   )).

input_formula(formula_43,axiom,(
    ! [X2,X1,X4] : 
      ( p3(X4, f24(X2, X1))
    <=> ? [X3] : 
          ( p3(X3, X1)
          & p14(X2, X3, X4) ) )   )).

input_formula(formula_34,axiom,(
    ! [X3,X7,X5,X1,X4,X2] : 
      ( p15(X3, X7, X5, X1, X4, X2)
    <=> ! [X6,X9] : 
          ( ( p3(X6, X1)
            & p3(X9, X2) )
         => ( p14(X3, X6, X9)
          <=> ? [X8] : 
                ( p3(X8, X4)
                & p14(X5, X6, X8)
                & p14(X7, X8, X9) ) ) ) )   )).

input_formula(formula_7,axiom,(
    ! [X2,X1,X3] : 
      ( p3(X2, f5(X1, X3))
    <=> ( p3(X2, X1)
        & p3(X2, X3) ) )   )).

input_formula(formula_47,axiom,(
    ! [X5,X1,X3,X2,X7] : 
      ( p28(X5, X1, X3, X2, X7)
    <=> ! [X4,X8,X6,X9] : 
          ( ( p3(X4, X1)
            & p3(X8, X2)
            & p3(X6, X1)
            & p3(X9, X2)
            & p14(X3, X4, X6)
            & p14(X5, X4, X8)
            & p14(X5, X6, X9) )
         => p14(X7, X8, X9) ) )   )).

input_formula(formula_10,axiom,(
    ! [X2,X3,X1] : 
      ( p3(X2, f8(X1, X3))
    <=> ( p3(X2, X1)
        & ~ p3(X2, X3) ) )   )).

input_formula(formula_12,axiom,(
    ! [X2,X1,X3] : 
      ( p3(X2, f10(X1, X3))
    <=> ( equal(X2, X1)
        | equal(X2, X3) ) )   )).

input_formula(formula_45,axiom,(
    ! [X2,X1,X3] : 
      ( p3(X3, f26(X2, X1))
    <=> ? [X4] : 
          ( p3(X4, X1)
          & p14(X2, X3, X4) ) )   )).

input_formula(formula_38,axiom,(
    ! [X3,X1,X2] : 
      ( p19(X3, X1, X2)
    <=> ! [X5,X6,X4] : 
          ( ( p3(X5, X1)
            & p3(X6, X1)
            & p3(X4, X2) )
         => ( ( p14(X3, X5, X4)
              & p14(X3, X6, X4) )
           => equal(X5, X6) ) ) )   )).

input_formula(formula_33,axiom,(
    ! [X4,X2,X3] : 
      ( p13(X4, X2, X3)
    <=> ( ! [X5] : 
            ( p3(X5, X2)
           => ? [X1] : 
                ( p3(X1, X3)
                & p14(X4, X5, X1) ) )
        & ! [X5,X6,X7] : 
            ( ( p3(X5, X2)
              & p3(X6, X3)
              & p3(X7, X3) )
           => ( ( p14(X4, X5, X6)
                & p14(X4, X5, X7) )
             => equal(X6, X7) ) ) ) )   )).

input_formula(formula_9,axiom,(
    ! [X1] : ~ p3(X1, c7)   )).

input_formula(formula_11,axiom,(
    ! [X1,X2] : 
      ( p3(X1, f9(X2))
    <=> equal(X1, X2) )   )).

input_formula(formula_37,axiom,(
    ! [X2,X1] : 
      ( p18(X2, X1)
    <=> ! [X3] : 
          ( p3(X3, X1)
         => p14(X2, X3, X3) ) )   )).

input_formula(formula_46,axiom,(
    ! [X3,X2,X1,X4] : 
      ( p3(X4, f27(X3, X2, X1))
    <=> ( p3(X4, X1)
        & ? [X5] : 
            ( p3(X5, X2)
            & p14(X3, X4, X5) ) ) )   )).

input_formula(formula_41,axiom,(
    ! [X4,X3,X1,X2] : 
      ( p22(X4, X3, X1, X2)
    <=> ! [X6,X5] : 
          ( ( p3(X6, X1)
            & p3(X5, X2) )
         => ( p14(X3, X6, X5)
          <=> p14(X4, X5, X6) ) ) )   )).

input_formula(formula_49,axiom,(
    ! [X3,X1,X4,X2,X7] : 
      ( p30(X3, X1, X4, X2, X7)
    <=> ( p13(X3, X1, X2)
        & p21(X3, X1, X2)
        & ! [X5,X8,X6,X9] : 
            ( ( p3(X5, X1)
              & p3(X8, X2)
              & p3(X6, X1)
              & p3(X9, X2)
              & p14(X3, X5, X8)
              & p14(X3, X6, X9) )
           => ( p14(X4, X5, X6)
            <=> p14(X7, X8, X9) ) ) ) )   )).

input_formula(formula_14,axiom,(
    ! [X2,X1] : 
      ( p3(X2, f12(X1))
    <=> ! [X3] : 
          ( p3(X3, X1)
         => p3(X2, X3) ) )   )).

input_formula(formula_48,axiom,(
    ! [X5,X1,X3,X2,X7] : 
      ( p29(X5, X1, X3, X2, X7)
    <=> ! [X4,X9,X6,X8] : 
          ( ( p3(X4, X1)
            & p3(X9, X2)
            & p3(X6, X1)
            & p3(X8, X2)
            & p14(X3, X4, X6)
            & p14(X5, X4, X9)
            & p14(X5, X6, X8) )
         => p14(X7, X8, X9) ) )   )).

input_formula(formula_42,axiom,(
    ! [X1,X2,X3,X5,X4] : 
      ( ( p3(X5, X2)
        & p3(X4, X3) )
     => ( p14(X1, X5, X4)
      <=> p14(f23(X1, X2, X3), X4, X5) ) )   )).

input_formula(formula_36,axiom,(
    ! [X3,X4,X1,X2] : 
      ( p17(X3, X4, X1, X2)
    <=> ! [X5,X6,X7] : 
          ( ( p3(X5, X1)
            & p3(X6, X2)
            & p3(X7, X2) )
         => ( ( p14(X3, X5, X6)
              & p14(X4, X5, X7) )
           => equal(X6, X7) ) ) )   )).

input_formula(formula_4,axiom,(
    ! [X2,X1] : 
      ( p1(X2, X1)
    <=> ( p2(X2, X1)
        & p2(X1, X2) ) )   )).

input_formula(formula_35,axiom,(
    ! [X6,X4,X1,X3,X2,X5,X8] : 
      ( ( p3(X5, X1)
        & p3(X8, X2) )
     => ( p14(f16(X6, X4, X1, X3, X2), X5, X8)
      <=> ? [X7] : 
            ( p3(X7, X3)
            & p14(X4, X5, X7)
            & p14(X6, X7, X8) ) ) )   )).

input_formula(formula_40,axiom,(
    ! [X1,X2,X3] : 
      ( p21(X1, X2, X3)
    <=> ( p19(X1, X2, X3)
        & p20(X1, X2, X3) ) )   )).

input_formula(formula_44,axiom,(
    ! [X3,X2,X1,X5] : 
      ( p3(X5, f25(X3, X2, X1))
    <=> ( p3(X5, X1)
        & ? [X4] : 
            ( p3(X4, X2)
            & p14(X3, X4, X5) ) ) )   )).

input_formula(formula_6,axiom,(
    ! [X1,X2] : 
      ( p3(X1, f4(X2))
    <=> p2(X1, X2) )   )).

input_formula(formula_39,axiom,(
    ! [X3,X2,X1] : 
      ( p20(X3, X2, X1)
    <=> ! [X5] : 
          ( p3(X5, X1)
         => ? [X4] : 
              ( p3(X4, X2)
              & p14(X3, X4, X5) ) ) )   )).

input_formula(formula_8,axiom,(
    ! [X2,X1,X3] : 
      ( p3(X2, f6(X1, X3))
    <=> ( p3(X2, X1)
        | p3(X2, X3) ) )   )).

input_formula(formula_5,axiom,(
    ! [X1,X3] : 
      ( p2(X1, X3)
    <=> ! [X2] : 
          ( p3(X2, X1)
         => p3(X2, X3) ) )   )).

input_formula(formula_114,conjecture,(
    ! [X2,X1,X4,X5,X6,X3,X7] : 
      ( ( p13(X2, X6, X3)
        & p13(X1, X3, X7)
        & p15(X4, X1, X2, X6, X3, X7)
        & p15(X5, X1, X2, X6, X3, X7) )
     => p17(X4, X5, X6, X7) )   )).
%--------------------------------------------------------------------------
