%--------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%--------------------------------------------------------------------------
input_formula(formula_35,hypothesis,(
    ! [X3,X4,X2,X1,X7,X6,X5,X9,X8] : 
      ( ( p4(X3, X5)
        & p4(X4, X5)
        & p4(X4, X8)
        & p1(X3, X1, X5)
        & p1(X4, X1, X5)
        & p5(X3, X5, X9)
        & p5(X4, X5, X8)
        & p7(X3, X2, X5)
        & p7(X4, X2, X5)
        & p2(X3, X7, X5)
        & p2(X4, X6, X5)
        & p3(X6, X7) )
     => p3(X8, X9) )   )).

input_formula(formula_31,axiom,(
    ! [X3,X4,X1,X2] : 
      ( ( p4(X3, X1)
        & p4(X3, X2)
        & p3(X4, X1)
        & p3(X2, X4) )
     => p4(X3, X4) )   )).

input_formula(formula_29,axiom,(
    ! [X1,X3,X2,X4,X5] : 
      ( ( p8(X1, X2, X5)
        & p8(X3, X4, X5) )
     => ( p3(c9, c10)
        | equal(c9, c10)
        | p3(c10, c9) ) )   )).

input_formula(formula_28,axiom,(
    ! [X2,X1,X3] : 
      ( ( p3(X2, X1)
        & p3(X1, X3) )
     => p3(X2, X3) )   )).

input_formula(formula_30,axiom,(
    ! [X1,X3] : 
      ( p4(X1, X3)
     => ? [X2] : p8(X1, X2, X3) )   )).

input_formula(formula_32,axiom,(
    ! [X1,X3,X2] : 
      ( p5(X1, X3, X2)
     => p3(X2, X3) )   )).

input_formula(formula_26,axiom,(
    ! [X1,X2] : 
      ~ ( p3(X1, X2)
        & equal(X1, X2) )   )).

input_formula(formula_1,axiom,(
    ! [X1] : equal(X1, X1)   )).

input_formula(formula_27,axiom,(
    ! [X2,X1] : 
      ~ ( p3(X2, X1)
        & p3(X1, X2) )   )).

input_formula(formula_34,hypothesis,(
    ! [X1,X6,X7,X3,X4,X2,X5] : 
      ( ( p4(X1, X3)
        & p4(X1, X4)
        & p5(X1, X2, X5)
        & p8(X1, X6, X3)
        & p8(X1, X7, X4)
        & ~ p3(X2, X3)
        & p3(X4, X3)
        & ~ p3(X4, X5) )
     => p3(X6, X7) )   )).

input_formula(formula_33,hypothesis,(
    ! [X1,X5,X4,X3,X2] : 
      ( ( p4(X1, X3)
        & p4(X1, X2)
        & p6(X1, X3, X2)
        & p8(X1, X5, X3)
        & p8(X1, X4, X2)
        & p3(X2, X3) )
     => p3(X4, X5) )   )).

input_formula(formula_37,hypothesis,(
    ! [X7,X8,X2,X4,X3,X1,X5,X6] : 
      ( ( p3(X6, X5)
        & p8(X7, X2, X5)
        & p8(X8, X3, X5)
        & p8(X7, X4, X6)
        & p8(X8, X1, X6)
        & p3(X4, X2)
        & p3(X3, X4) )
     => ? [X9,X10,X11] : 
          ( p3(X9, X5)
          & p3(X6, X9)
          & p8(X7, X10, X9)
          & p8(X8, X11, X9)
          & equal(X10, X11) ) )   )).

input_formula(formula_38,conjecture,(
    ! [X4,X5,X3,X1,X2,X12,X13,X8,X7,X10,X6,X11,X9] : 
      ( ( p4(X4, X6)
        & p4(X5, X6)
        & p4(X4, X9)
        & p4(X5, X9)
        & p1(X4, X1, X6)
        & p1(X5, X1, X6)
        & p8(X4, X2, X6)
        & p8(X5, X2, X6)
        & p5(X4, X6, X11)
        & p5(X5, X6, X9)
        & p7(X4, X3, X6)
        & p7(X5, X3, X6)
        & p6(X4, X11, X9)
        & p8(X4, X12, X10)
        & p8(X5, X13, X10)
        & p2(X4, X8, X6)
        & p2(X5, X7, X6)
        & p3(X7, X8)
        & ( equal(X10, X9)
         => p3(X12, X13) ) )
     => ( equal(X10, X11)
       => ( p3(X12, X13)
          | equal(X12, X13) ) ) )   )).

input_formula(formula_36,hypothesis,(
    ! [X6,X7,X4,X1,X2,X11,X12,X10,X9,X8,X5,X3] : 
      ( ( p4(X6, X8)
        & p4(X7, X8)
        & p4(X6, X5)
        & p4(X7, X5)
        & p1(X6, X1, X8)
        & p1(X7, X1, X8)
        & p8(X6, X2, X8)
        & p8(X7, X2, X8)
        & p5(X6, X8, X5)
        & p5(X7, X8, X3)
        & p7(X6, X4, X8)
        & p7(X7, X4, X8)
        & p8(X6, X11, X5)
        & p8(X7, X12, X5)
        & p2(X6, X10, X8)
        & p2(X7, X9, X8)
        & p3(X9, X10) )
     => ( p3(X11, X12)
        | equal(X11, X12) ) )   )).
%--------------------------------------------------------------------------
